Update an MCP server configuration.
cURL
curl --request PATCH \ --url https://api.example.com/api/v1/mcp-servers/{id} \ --header 'Content-Type: application/json' \ --data ' { "name": "<string>", "mcp_server": { "name": "<string>", "transport": "streamable_http", "url": "<string>", "command": "<string>", "args": [ "<string>" ], "headers": {}, "env": {}, "cwd": "<string>", "encoding": "<string>", "encodingErrorHandler": "strict", "timeoutSeconds": 123, "sseReadTimeoutSeconds": 123, "terminateOnClose": true, "sessionKwargs": {} } } '
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "mcp_server": { "name": "<string>", "transport": "streamable_http", "url": "<string>", "command": "<string>", "args": [ "<string>" ], "headers": {}, "env": {}, "cwd": "<string>", "encoding": "<string>", "encodingErrorHandler": "strict", "timeoutSeconds": 123, "sseReadTimeoutSeconds": 123, "terminateOnClose": true, "sessionKwargs": {} }, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "agent_count": 0 }
Full replacement schema for PUT of a managed MCP server.
MCP server configuration
Show child attributes
Successful Response
Complete managed MCP server model for responses.
Creation timestamp
Last update timestamp
Number of agents using this MCP server